"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var core_1 = require("@angular/core");
var ej2_base_1 = require("@syncfusion/ej2-base");
//enable ripple style
ej2_base_1.enableRipple(true);
// Assign windoe variable culture.
window.culture = 'fr';
// assign the culture to application globally.
ej2_base_1.setCulture(window.culture);
var AppComponent = (function () {
    function AppComponent() {
        this.cultureData = [
            { Id: 'fr', country: 'French' },
            { Id: 'de', country: 'German' },
            { Id: 'en-US', country: 'English' },
            { Id: 'zh', country: 'Chinese' },
            { Id: 'es', country: 'Spanish' },
        ];
        // variable for preventing the culture files load multiple times
        this.loadedCultures = ['fr'];
        // maps the appropriate column to fields property
        this.fields = { text: 'country', value: 'Id' };
        this.waterMark = 'Select a Culture';
        // set the value to select an item based on mapped value at initial rendering
        this.value = 'fr';
    }
    AppComponent.prototype.onChange = function (args) {
        if (this.loadedCultures.indexOf(args.value) === -1) {
            this.loadedCultures.push(args.value);
            this.loadCultureFiles(args.value);
        }
        ej2_base_1.setCulture(args.value);
    };
    AppComponent.prototype.ngOnInit = function () {
        this.loadedCultures.push(window.culture);
        this.loadCultureFiles(window.culture);
    };
    //Function for loading locale files based on culture name 
    AppComponent.prototype.loadLocaleFiles = function (name) {
        // load local files
        var localeajax = new ej2_base_1.Ajax('./node_modules/@syncfusion/ej2-locale/src/' + name + '.json', 'GET', false);
        localeajax.onSuccess = function (value) {
            ej2_base_1.L10n.load(JSON.parse(value));
        };
        localeajax.send();
    };
    // Function for loading the culture files from cldr-data.
    AppComponent.prototype.loadCultureFiles = function (name) {
        this.loadLocaleFiles(name);
        // since default culture files are preloaded no need to load the files again.
        if (name === 'en-US') {
            return;
        }
        var files = ['ca-gregorian.json', 'numbers.json', 'timeZoneNames.json', 'numberingSystems.json'];
        var loadCulture = function (prop) {
            var val, ajax;
            if (prop === files.length - 1) {
                ajax = new ej2_base_1.Ajax('./node_modules/cldr-data/supplemental/' + files[prop], 'GET', false);
            }
            else {
                ajax = new ej2_base_1.Ajax('./node_modules/cldr-data/main/' + name + '/' + files[prop], 'GET', false);
            }
            ajax.onSuccess = function (value) {
                val = value;
                ej2_base_1.loadCldr(JSON.parse(val));
            };
            ajax.send();
        };
        for (var prop = 0; prop < files.length; prop++) {
            loadCulture(prop);
        }
    };
    return AppComponent;
}());
AppComponent = __decorate([
    core_1.Component({
        selector: 'my-app',
        template: "  <div>Switch culture: </div>\n  <ejs-dropdownlist id='culture' [dataSource]=cultureData (change)='onChange($event)' width='100px' [value]=value [fields]=fields></ejs-dropdownlist>\n      <h1> Date Picker component </h1>\n      <ejs-datepicker id=\"date\" width=\"275px\"></ejs-datepicker>"
    })
], AppComponent);
exports.AppComponent = AppComponent;
//# sourceMappingURL=app.component.js.map